package it.integry.integrywmsnative.gest.spedizione.ui;

import org.jetbrains.annotations.NotNull;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.MtbColr;
import it.integry.integrywmsnative.core.model.MtbColt;
import it.integry.integrywmsnative.gest.spedizione.model.PickingObjectDTO;

public class SpedizioneListModel implements Cloneable {

    private String groupTitle;

    private String badge1;
    private String badge2;

    private String descrizione;
    private boolean descrizionePresente;
    private String subDescrizione1;
    private String subDescrizione2;
    private BigDecimal qtaEvasa;
    private BigDecimal qtaTot;
    private String untMis;
    private String freeQuantity;

    private boolean active;

    private PickingObjectDTO mOriginalModel;
    private MtbColt mSourceMtbColt;
    private MtbColr mSourceMtbColr;

    @NotNull
    @Override
    public Object clone() {
        try {
            return super.clone();
        } catch (Exception ex) {
            return null;
        }
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public SpedizioneListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getBadge1() {
        return badge1;
    }

    public SpedizioneListModel setBadge1(String badge1) {
        this.badge1 = badge1;
        return this;
    }

    public String getBadge2() {
        return badge2;
    }

    public SpedizioneListModel setBadge2(String badge2) {
        this.badge2 = badge2;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public SpedizioneListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public boolean isDescrizionePresente() {
        return descrizionePresente;
    }

    public SpedizioneListModel setDescrizionePresente(boolean descrizionePresente) {
        this.descrizionePresente = descrizionePresente;
        return this;
    }

    public String getSubDescrizione1() {
        return subDescrizione1;
    }

    public SpedizioneListModel setSubDescrizione1(String subDescrizione1) {
        this.subDescrizione1 = subDescrizione1;
        return this;
    }

    public String getSubDescrizione2() {
        return subDescrizione2;
    }

    public SpedizioneListModel setSubDescrizione2(String subDescrizione2) {
        this.subDescrizione2 = subDescrizione2;
        return this;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public SpedizioneListModel setQtaEvasa(BigDecimal qtaEvasa) {
        this.qtaEvasa = qtaEvasa;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public SpedizioneListModel setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public SpedizioneListModel setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public boolean isActive() {
        return active;
    }

    public SpedizioneListModel setActive(boolean active) {
        this.active = active;
        return this;
    }

    public PickingObjectDTO getOriginalModel() {
        return mOriginalModel;
    }

    public SpedizioneListModel setOriginalModel(PickingObjectDTO originalModel) {
        this.mOriginalModel = originalModel;
        return this;
    }

    public MtbColt getSourceMtbColt() {
        return mSourceMtbColt;
    }

    public SpedizioneListModel setSourceMtbColt(MtbColt sourceMtbColt) {
        this.mSourceMtbColt = sourceMtbColt;
        return this;
    }

    public MtbColr getSourceMtbColr() {
        return mSourceMtbColr;
    }

    public SpedizioneListModel setSourceMtbColr(MtbColr sourceMtbColr) {
        this.mSourceMtbColr = sourceMtbColr;
        return this;
    }

    public String getFreeQuantity() {
        return freeQuantity;
    }

    public SpedizioneListModel setFreeQuantity(String freeQuantity) {
        this.freeQuantity = freeQuantity;
        return this;
    }
}
